package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * AP list of retransmission packet rates tab, in descending order of average
 */
@ApiModel(description = "AP list of retransmission packet rates tab, in descending order of average")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class RetryEap   {
  @JsonProperty("retries")
  @Valid
  private List<Retry> retries = null;

  @JsonProperty("apMac")
  private String apMac;

  @JsonProperty("name")
  private String name;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("avg")
  private Double avg;

  @JsonProperty("status")
  private Integer status;

  public RetryEap retries(List<Retry> retries) {
    this.retries = retries;
    return this;
  }

  public RetryEap addRetriesItem(Retry retriesItem) {
    if (this.retries == null) {
      this.retries = new ArrayList<>();
    }
    this.retries.add(retriesItem);
    return this;
  }

  /**
   * AP retries timing list
   * @return retries
  */
  @ApiModelProperty(value = "AP retries timing list")

  @Valid

  public List<Retry> getRetries() {
    return retries;
  }

  public void setRetries(List<Retry> retries) {
    this.retries = retries;
  }

  public RetryEap apMac(String apMac) {
    this.apMac = apMac;
    return this;
  }

  /**
   * AP MAC
   * @return apMac
  */
  @ApiModelProperty(value = "AP MAC")


  public String getApMac() {
    return apMac;
  }

  public void setApMac(String apMac) {
    this.apMac = apMac;
  }

  public RetryEap name(String name) {
    this.name = name;
    return this;
  }

  /**
   * AP name
   * @return name
  */
  @ApiModelProperty(value = "AP name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public RetryEap model(String model) {
    this.model = model;
    return this;
  }

  /**
   * AP model
   * @return model
  */
  @ApiModelProperty(value = "AP model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public RetryEap modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * AP model Version
   * @return modelVersion
  */
  @ApiModelProperty(value = "AP model Version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public RetryEap avg(Double avg) {
    this.avg = avg;
    return this;
  }

  /**
   * Average current AP retransmission packet rate
   * @return avg
  */
  @ApiModelProperty(value = "Average current AP retransmission packet rate")


  public Double getAvg() {
    return avg;
  }

  public void setAvg(Double avg) {
    this.avg = avg;
  }

  public RetryEap status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * AP status, 0: connected, 1: disconnected
   * @return status
  */
  @ApiModelProperty(value = "AP status, 0: connected, 1: disconnected")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RetryEap retryEap = (RetryEap) o;
    return Objects.equals(this.retries, retryEap.retries) &&
        Objects.equals(this.apMac, retryEap.apMac) &&
        Objects.equals(this.name, retryEap.name) &&
        Objects.equals(this.model, retryEap.model) &&
        Objects.equals(this.modelVersion, retryEap.modelVersion) &&
        Objects.equals(this.avg, retryEap.avg) &&
        Objects.equals(this.status, retryEap.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(retries, apMac, name, model, modelVersion, avg, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RetryEap {\n");
    
    sb.append("    retries: ").append(toIndentedString(retries)).append("\n");
    sb.append("    apMac: ").append(toIndentedString(apMac)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    avg: ").append(toIndentedString(avg)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

